<br />

## Methods

The API supports the following methods for `groupItems` resources:

[list](https://developers.google.com/youtube/analytics/reference/groupItems/list)
:   Returns a collection of group items that match the API request parameters.
    [Try it now](https://developers.google.com/youtube/analytics/reference/groupItems/list#try-it).

[insert](https://developers.google.com/youtube/analytics/reference/groupItems/insert)
:   Creates a group item.
    [Try it now](https://developers.google.com/youtube/analytics/reference/groupItems/insert#try-it).

[delete](https://developers.google.com/youtube/analytics/reference/groupItems/delete)
:   Removes an item from a group.
    [Try it now](https://developers.google.com/youtube/analytics/reference/groupItems/delete#try-it).

## Resource representation

The JSON structure below shows the format of a `groupItems` resource:

```
{
  "kind": "youtube#groupItem",
  "etag": etag,
  "id": string,
  "groupId": string,
  "resource": {
    "kind": string,
    "id": string
  }
}
```

### Properties

The following table defines the properties that appear in this resource:

| Properties ||
|---|---|
| `kind` | `string` Identifies the API resource's type. The value will be `youtube#groupItem`. |
| `etag` | `etag` The Etag of this resource. |
| `id` | `string` The ID that YouTube uses to uniquely identify the `channel`, `video`, `playlist`, or `asset` resource that is included in the group. Note that this ID refers specifically to the inclusion of that resource in a particular group and is different than the channel ID, video ID, playlist ID, or asset ID that uniquely identifies the resource itself. The `https://developers.google.com/youtube/analytics/reference/groupItems#resource.id` property's value specifies the unique channel, video, playlist, or asset ID. |
| `groupId` | `string` The ID that YouTube uses to uniquely identify the group that contains the item. |
| `resource` | `object` The `resource` object contains information that identifies the item being added to the group. |
| `resource.kind` | `string` Identifies the type of resource being added to the group. Valid values for this property are: - `youtube#channel` - `youtube#playlist` - `youtube#video` - `youtubePartner#asset` |
| `resource.id` | `string` The channel, video, playlist, or asset ID that YouTube uses to uniquely identify the item that is being added to the group. |